Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
countrylist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Max = $ini->variable( "eZAddressMain", "MaxCountryList" )
| $language_file = "country.php"
| $page_path = "/address/country"
| $typelist = "typelist.tpl"
| $template_array = array( "country_tpl" => "countrylist.tpl" )
| $variable_array
| $block_array
| $item_type_array = eZCountry::getAll( true, $SearchText, $Index, $Max )
| $total_types = eZCountry::getAllCount( $SearchText )
| $func_call
| $Searchable = true

## Variable Documentation

## ◆ $block_array

$block_array

Initial value:
= array( array( "country_tpl", "country_header_tpl", "country_header" ),
array( "country_tpl", "country_item_tpl", "country_item" ) )

Definition at line 43 of file countrylist.php.

## ◆ $func_call

$func_call

Initial value:
= array( "item_id" => 'id',
"item_name" => 'name',
"item_iso" => 'iso' )

Definition at line 48 of file countrylist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 30 of file countrylist.php.

## ◆ $item_type_array

$item_type_array = eZCountry::getAll( true, $SearchText, $Index, $Max )

Definition at line 46 of file countrylist.php.

## ◆ $language_file

$language_file = "country.php"

Definition at line 35 of file countrylist.php.

## ◆ $Max

$Max = $ini->variable( "eZAddressMain", "MaxCountryList" )

Definition at line 31 of file countrylist.php.

Referenced by eZList\drawList().

## ◆ $page_path

$page_path = "/address/country"

Definition at line 36 of file countrylist.php.

## ◆ $Searchable

$Searchable = true

Definition at line 51 of file countrylist.php.

Referenced by eZList\drawList().

## ◆ $template_array

$template_array = array( "country_tpl" => "countrylist.tpl" )

Definition at line 38 of file countrylist.php.

## ◆ $total_types

$total_types = eZCountry::getAllCount( $SearchText )

Definition at line 47 of file countrylist.php.

Referenced by eZList\drawList(), and eZList\drawNavigator().

## ◆ $typelist

$typelist = "typelist.tpl"

Definition at line 37 of file countrylist.php.

Referenced by eZList\drawList().

## ◆ $variable_array

$variable_array

Initial value:
= array( "country_header" => "country_header_tpl",
"country_item" => "country_item_tpl",
"extra_type_header" => "country_header",
"extra_type_item" => "country_item" )

Definition at line 39 of file countrylist.php.

Referenced by eZList\drawList().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.